Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.beans
Class NTServiceNamesBean

    java.lang.Object
      |
      +--uk.co.westhawk.snmp.beans.SNMPBean
            |
            +--uk.co.westhawk.snmp.beans.SNMPRunBean
                  |
                  +--uk.co.westhawk.snmp.beans.NTServiceNamesBean

All Implemented Interfaces:
  java.util.Observer, java.lang.Runnable

public class NTServiceNamesBean
extends SNMPRunBean
implements java.util.Observer

This bean collects the names of the network services installed on a NT server. The NT mib is described in the LAN Manager MIB II for Windows NT Objects . You will have to register to the MSDN before accessing this page.

The properties in the parent classes should be set, before calling the action() method. Via a PropertyChangeEvent the application/applet will be notified.

Version:
  $Revision: 1.13 $ $Date: 2006/01/25 18:08:56 $
Author:
  Birgit Arkesteijn
See Also:
  `SNMPBean.setHost(java.lang.String)`, `SNMPBean.setPort(int)`, `SNMPBean.setCommunityName(java.lang.String)`, `SNMPRunBean.setUpdateInterval(int)`, `SNMPBean.addPropertyChangeListener(java.beans.PropertyChangeListener)`, `SNMPBean.action()`, `GetNextPdu`

Field Summary
`static java.lang.String` | `svSvcName`

Fields inherited from class uk.co.westhawk.snmp.beans.SNMPRunBean
`interval, me, running`

Fields inherited from class uk.co.westhawk.snmp.beans.SNMPBean
`bindAddr, community, context, host, message, port, propertyChangeListener, socketType`

Constructor Summary
`NTServiceNamesBean()` The default constructor.
`NTServiceNamesBean(java.lang.String h, int p)` The constructor that will set the host and the port no.
`NTServiceNamesBean(java.lang.String h, int p, java.lang.String b)` The constructor that will set the host, the port no and the local bind address.

Method Summary
`void` | `action()` This method starts the action of the bean.
`int` | `getCount()` Returns the number of NT network services.
`java.lang.String` | `getIndex(java.lang.String name)` Returns the index of one of the services.
`java.util.Enumeration` | `getIndices()` Returns the indices of the NT network services.
`java.util.Date` | `getLastUpdateDate()` Returns the date of the moment when this bean was last updated.
`java.util.Enumeration` | `getNames()` Returns the names of the NT network services (the list of svSvcName).
`void` | `run()` Implements the running of the bean.
`void` | `update(java.util.Observable obs, java.lang.Object ov)` This method is called when the Pdu response is received.

Methods inherited from class uk.co.westhawk.snmp.beans.SNMPRunBean
`getUpdateInterval, isRunning, setRunning, setUpdateInterval, setUpdateInterval`

Methods inherited from class uk.co.westhawk.snmp.beans.SNMPBean
`addPropertyChangeListener, firePropertyChange, getBindAddress, getCommunityName, getHost, getMessage, getPort, getSocketType, isHostPortReachable, removePropertyChangeListener, setBindAddress, setCommunityName, setHost, setMessage, setPort, setPort, setSocketType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### svSvcName

    public static final java.lang.String svSvcName

See Also:
  Constant Field Values

Constructor Detail

### NTServiceNamesBean

    public NTServiceNamesBean()

  The default constructor.

### NTServiceNamesBean

    public NTServiceNamesBean(java.lang.String h,
                              int p)

  The constructor that will set the host and the port no.

Parameters:
  `h` - the hostname
  `p` - the port no
See Also:
  `SNMPBean.setHost(java.lang.String)`, `SNMPBean.setPort(int)`

### NTServiceNamesBean

    public NTServiceNamesBean(java.lang.String h,
                              int p,
                              java.lang.String b)

  The constructor that will set the host, the port no and the local bind address.

Parameters:
  `h` - the hostname
  `p` - the port no
  `b` - the local bind address
Since:
  4_14
See Also:
  `SNMPBean.setHost(java.lang.String)`, `SNMPBean.setPort(int)`, `SNMPBean.setBindAddress(java.lang.String)`

Method Detail

### getLastUpdateDate

    public java.util.Date getLastUpdateDate()

  Returns the date of the moment when this bean was last updated. This might be null when the first time the update was not finished.

  Returns:
    the last update date

### getIndices

    public java.util.Enumeration getIndices()

  Returns the indices of the NT network services. The OID of this network service is a concatenation of the name (svSvcName) OID and the network service specific index. The index should be used to get the other properties of this service.

  See Also:
    `getIndex(String)`, `svSvcName`

### getIndex

    public java.lang.String getIndex(java.lang.String name)

  Returns the index of one of the services. The OID of this network service is a concatenation of the name (svSvcName) OID and the network service specific index. The index should be used to get the other properties of this service.

  Parameters:
    `name` - The name of the service
  Returns:
    the service index, might be null if no service with such name exists
  See Also:
    `getIndices()`, `getNames()`

### getNames

    public java.util.Enumeration getNames()

  Returns the names of the NT network services (the list of svSvcName).

### getCount

    public int getCount()

  Returns the number of NT network services.

### action

    public void action()

  This method starts the action of the bean. It will initialises all variables before starting.

  Specified by:
    `action` in class `SNMPBean`

### run

    public void run()

  Implements the running of the bean. It will send the Pdu, if the previous one is not still in flight.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Specified by:
    `run` in class `SNMPRunBean`
  See Also:
    `SNMPRunBean.isRunning()`

### update

    public void update(java.util.Observable obs,
                       java.lang.Object ov)

  This method is called when the Pdu response is received. When all answers are received it will fire the property change event. The answers are stored in a hashtable, this is done because the speed can only be calculated with the previous answer.

  Specified by:
    `update` in interface `java.util.Observer`
  See Also:
    `SNMPBean.addPropertyChangeListener(java.beans.PropertyChangeListener)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD